GNET_STATS_FINISH(9)

NAME
gnet_stats_finish_copy - finish dumping procedure

SYNOPSIS

int gnet_stats_finish_copy (struct gnet_dump * d);

ARGUMENTS

d   dumping handle

DESCRIPTION

Corrects the length of the top level TLV to include all TLVs added by gnet_stats_copy_XXX calls. Adds the backward compatibility TLVs if gnet_stats_start_copy_compat was used and releases the statistics lock.

Returns 0 on success or -1 with the statistic lock released if the room in the socket buffer was not sufficient.